Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network243.44.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
243.44.0.0
Broadcast address
243.47.255.255
First usable
243.44.0.1
Last usable
243.47.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F32C0000 · Integer 4079747072 to 4080009215
Reverse DNS zones
44.243.in-addr.arpa
45.243.in-addr.arpa
46.243.in-addr.arpa
47.243.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110011.00101100.00000000.00000000243.44.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network11110011.00101100.00000000.00000000243.44.0.0
Broadcast11110011.00101111.11111111.11111111243.47.255.255
Split into smaller subnets/21

243.44.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1243.44.0.0/21243.44.0.1 to 243.44.7.254243.44.7.2552,046
2243.44.8.0/21243.44.8.1 to 243.44.15.254243.44.15.2552,046
3243.44.16.0/21243.44.16.1 to 243.44.23.254243.44.23.2552,046
4243.44.24.0/21243.44.24.1 to 243.44.31.254243.44.31.2552,046
5243.44.32.0/21243.44.32.1 to 243.44.39.254243.44.39.2552,046
6243.44.40.0/21243.44.40.1 to 243.44.47.254243.44.47.2552,046
7243.44.48.0/21243.44.48.1 to 243.44.55.254243.44.55.2552,046
8243.44.56.0/21243.44.56.1 to 243.44.63.254243.44.63.2552,046
9243.44.64.0/21243.44.64.1 to 243.44.71.254243.44.71.2552,046
10243.44.72.0/21243.44.72.1 to 243.44.79.254243.44.79.2552,046
11243.44.80.0/21243.44.80.1 to 243.44.87.254243.44.87.2552,046
12243.44.88.0/21243.44.88.1 to 243.44.95.254243.44.95.2552,046
13243.44.96.0/21243.44.96.1 to 243.44.103.254243.44.103.2552,046
14243.44.104.0/21243.44.104.1 to 243.44.111.254243.44.111.2552,046
15243.44.112.0/21243.44.112.1 to 243.44.119.254243.44.119.2552,046
16243.44.120.0/21243.44.120.1 to 243.44.127.254243.44.127.2552,046
17243.44.128.0/21243.44.128.1 to 243.44.135.254243.44.135.2552,046
18243.44.136.0/21243.44.136.1 to 243.44.143.254243.44.143.2552,046
19243.44.144.0/21243.44.144.1 to 243.44.151.254243.44.151.2552,046
20243.44.152.0/21243.44.152.1 to 243.44.159.254243.44.159.2552,046
21243.44.160.0/21243.44.160.1 to 243.44.167.254243.44.167.2552,046
22243.44.168.0/21243.44.168.1 to 243.44.175.254243.44.175.2552,046
23243.44.176.0/21243.44.176.1 to 243.44.183.254243.44.183.2552,046
24243.44.184.0/21243.44.184.1 to 243.44.191.254243.44.191.2552,046
25243.44.192.0/21243.44.192.1 to 243.44.199.254243.44.199.2552,046
26243.44.200.0/21243.44.200.1 to 243.44.207.254243.44.207.2552,046
27243.44.208.0/21243.44.208.1 to 243.44.215.254243.44.215.2552,046
28243.44.216.0/21243.44.216.1 to 243.44.223.254243.44.223.2552,046
29243.44.224.0/21243.44.224.1 to 243.44.231.254243.44.231.2552,046
30243.44.232.0/21243.44.232.1 to 243.44.239.254243.44.239.2552,046
31243.44.240.0/21243.44.240.1 to 243.44.247.254243.44.247.2552,046
32243.44.248.0/21243.44.248.1 to 243.44.255.254243.44.255.2552,046
33243.45.0.0/21243.45.0.1 to 243.45.7.254243.45.7.2552,046
34243.45.8.0/21243.45.8.1 to 243.45.15.254243.45.15.2552,046
35243.45.16.0/21243.45.16.1 to 243.45.23.254243.45.23.2552,046
36243.45.24.0/21243.45.24.1 to 243.45.31.254243.45.31.2552,046
37243.45.32.0/21243.45.32.1 to 243.45.39.254243.45.39.2552,046
38243.45.40.0/21243.45.40.1 to 243.45.47.254243.45.47.2552,046
39243.45.48.0/21243.45.48.1 to 243.45.55.254243.45.55.2552,046
40243.45.56.0/21243.45.56.1 to 243.45.63.254243.45.63.2552,046
41243.45.64.0/21243.45.64.1 to 243.45.71.254243.45.71.2552,046
42243.45.72.0/21243.45.72.1 to 243.45.79.254243.45.79.2552,046
43243.45.80.0/21243.45.80.1 to 243.45.87.254243.45.87.2552,046
44243.45.88.0/21243.45.88.1 to 243.45.95.254243.45.95.2552,046
45243.45.96.0/21243.45.96.1 to 243.45.103.254243.45.103.2552,046
46243.45.104.0/21243.45.104.1 to 243.45.111.254243.45.111.2552,046
47243.45.112.0/21243.45.112.1 to 243.45.119.254243.45.119.2552,046
48243.45.120.0/21243.45.120.1 to 243.45.127.254243.45.127.2552,046
49243.45.128.0/21243.45.128.1 to 243.45.135.254243.45.135.2552,046
50243.45.136.0/21243.45.136.1 to 243.45.143.254243.45.143.2552,046
51243.45.144.0/21243.45.144.1 to 243.45.151.254243.45.151.2552,046
52243.45.152.0/21243.45.152.1 to 243.45.159.254243.45.159.2552,046
53243.45.160.0/21243.45.160.1 to 243.45.167.254243.45.167.2552,046
54243.45.168.0/21243.45.168.1 to 243.45.175.254243.45.175.2552,046
55243.45.176.0/21243.45.176.1 to 243.45.183.254243.45.183.2552,046
56243.45.184.0/21243.45.184.1 to 243.45.191.254243.45.191.2552,046
57243.45.192.0/21243.45.192.1 to 243.45.199.254243.45.199.2552,046
58243.45.200.0/21243.45.200.1 to 243.45.207.254243.45.207.2552,046
59243.45.208.0/21243.45.208.1 to 243.45.215.254243.45.215.2552,046
60243.45.216.0/21243.45.216.1 to 243.45.223.254243.45.223.2552,046
61243.45.224.0/21243.45.224.1 to 243.45.231.254243.45.231.2552,046
62243.45.232.0/21243.45.232.1 to 243.45.239.254243.45.239.2552,046
63243.45.240.0/21243.45.240.1 to 243.45.247.254243.45.247.2552,046
64243.45.248.0/21243.45.248.1 to 243.45.255.254243.45.255.2552,046
65243.46.0.0/21243.46.0.1 to 243.46.7.254243.46.7.2552,046
66243.46.8.0/21243.46.8.1 to 243.46.15.254243.46.15.2552,046
67243.46.16.0/21243.46.16.1 to 243.46.23.254243.46.23.2552,046
68243.46.24.0/21243.46.24.1 to 243.46.31.254243.46.31.2552,046
69243.46.32.0/21243.46.32.1 to 243.46.39.254243.46.39.2552,046
70243.46.40.0/21243.46.40.1 to 243.46.47.254243.46.47.2552,046
71243.46.48.0/21243.46.48.1 to 243.46.55.254243.46.55.2552,046
72243.46.56.0/21243.46.56.1 to 243.46.63.254243.46.63.2552,046
73243.46.64.0/21243.46.64.1 to 243.46.71.254243.46.71.2552,046
74243.46.72.0/21243.46.72.1 to 243.46.79.254243.46.79.2552,046
75243.46.80.0/21243.46.80.1 to 243.46.87.254243.46.87.2552,046
76243.46.88.0/21243.46.88.1 to 243.46.95.254243.46.95.2552,046
77243.46.96.0/21243.46.96.1 to 243.46.103.254243.46.103.2552,046
78243.46.104.0/21243.46.104.1 to 243.46.111.254243.46.111.2552,046
79243.46.112.0/21243.46.112.1 to 243.46.119.254243.46.119.2552,046
80243.46.120.0/21243.46.120.1 to 243.46.127.254243.46.127.2552,046
81243.46.128.0/21243.46.128.1 to 243.46.135.254243.46.135.2552,046
82243.46.136.0/21243.46.136.1 to 243.46.143.254243.46.143.2552,046
83243.46.144.0/21243.46.144.1 to 243.46.151.254243.46.151.2552,046
84243.46.152.0/21243.46.152.1 to 243.46.159.254243.46.159.2552,046
85243.46.160.0/21243.46.160.1 to 243.46.167.254243.46.167.2552,046
86243.46.168.0/21243.46.168.1 to 243.46.175.254243.46.175.2552,046
87243.46.176.0/21243.46.176.1 to 243.46.183.254243.46.183.2552,046
88243.46.184.0/21243.46.184.1 to 243.46.191.254243.46.191.2552,046
89243.46.192.0/21243.46.192.1 to 243.46.199.254243.46.199.2552,046
90243.46.200.0/21243.46.200.1 to 243.46.207.254243.46.207.2552,046
91243.46.208.0/21243.46.208.1 to 243.46.215.254243.46.215.2552,046
92243.46.216.0/21243.46.216.1 to 243.46.223.254243.46.223.2552,046
93243.46.224.0/21243.46.224.1 to 243.46.231.254243.46.231.2552,046
94243.46.232.0/21243.46.232.1 to 243.46.239.254243.46.239.2552,046
95243.46.240.0/21243.46.240.1 to 243.46.247.254243.46.247.2552,046
96243.46.248.0/21243.46.248.1 to 243.46.255.254243.46.255.2552,046
97243.47.0.0/21243.47.0.1 to 243.47.7.254243.47.7.2552,046
98243.47.8.0/21243.47.8.1 to 243.47.15.254243.47.15.2552,046
99243.47.16.0/21243.47.16.1 to 243.47.23.254243.47.23.2552,046
100243.47.24.0/21243.47.24.1 to 243.47.31.254243.47.31.2552,046
101243.47.32.0/21243.47.32.1 to 243.47.39.254243.47.39.2552,046
102243.47.40.0/21243.47.40.1 to 243.47.47.254243.47.47.2552,046
103243.47.48.0/21243.47.48.1 to 243.47.55.254243.47.55.2552,046
104243.47.56.0/21243.47.56.1 to 243.47.63.254243.47.63.2552,046
105243.47.64.0/21243.47.64.1 to 243.47.71.254243.47.71.2552,046
106243.47.72.0/21243.47.72.1 to 243.47.79.254243.47.79.2552,046
107243.47.80.0/21243.47.80.1 to 243.47.87.254243.47.87.2552,046
108243.47.88.0/21243.47.88.1 to 243.47.95.254243.47.95.2552,046
109243.47.96.0/21243.47.96.1 to 243.47.103.254243.47.103.2552,046
110243.47.104.0/21243.47.104.1 to 243.47.111.254243.47.111.2552,046
111243.47.112.0/21243.47.112.1 to 243.47.119.254243.47.119.2552,046
112243.47.120.0/21243.47.120.1 to 243.47.127.254243.47.127.2552,046
113243.47.128.0/21243.47.128.1 to 243.47.135.254243.47.135.2552,046
114243.47.136.0/21243.47.136.1 to 243.47.143.254243.47.143.2552,046
115243.47.144.0/21243.47.144.1 to 243.47.151.254243.47.151.2552,046
116243.47.152.0/21243.47.152.1 to 243.47.159.254243.47.159.2552,046
117243.47.160.0/21243.47.160.1 to 243.47.167.254243.47.167.2552,046
118243.47.168.0/21243.47.168.1 to 243.47.175.254243.47.175.2552,046
119243.47.176.0/21243.47.176.1 to 243.47.183.254243.47.183.2552,046
120243.47.184.0/21243.47.184.1 to 243.47.191.254243.47.191.2552,046
121243.47.192.0/21243.47.192.1 to 243.47.199.254243.47.199.2552,046
122243.47.200.0/21243.47.200.1 to 243.47.207.254243.47.207.2552,046
123243.47.208.0/21243.47.208.1 to 243.47.215.254243.47.215.2552,046
124243.47.216.0/21243.47.216.1 to 243.47.223.254243.47.223.2552,046
125243.47.224.0/21243.47.224.1 to 243.47.231.254243.47.231.2552,046
126243.47.232.0/21243.47.232.1 to 243.47.239.254243.47.239.2552,046
127243.47.240.0/21243.47.240.1 to 243.47.247.254243.47.247.2552,046
128243.47.248.0/21243.47.248.1 to 243.47.255.254243.47.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses